#!/bin/bash

echo creating topic ids
> TEMPLIST
for INFILE in `ls *.json | grep -v message | sort -n` ; do
  grep topicId $INFILE | cut -f 6- -d " " | cut -f 1 -d "," >> TEMPLIST 
  echo  -n "."
done  
echo ""
cat TEMPLIST | sort -un > topic_ids.txt

echo "creating topic_list"
> topic_list.txt
while read TOPIC ; do
   echo "Topic $TOPIC"
   grep topicId `ls *.json | grep -v message | sort -n` | grep ": $TOPIC," | cut -f 1 -d "." > TEMPLIST
   echo -n "$TOPIC " >> topic_list.txt 
   while read LINE ; do 
      echo -n "$LINE " >> topic_list.txt
   done < TEMPLIST
   echo "" >>  topic_list.txt
done < topic_ids.txt
    
    
echo ""
echo ""
echo "creating topic.html"

cat topic_header > topic.html
echo "<table border=1>" >> topic.html
while read LINE ; do
  TOPICFILE=`echo $LINE | cut -f 1 -d " "`.json
  TOPICSUBJECT=`grep '\"subject\"' $TOPICFILE | cut -f 4 -d "\"" | cut -f 1 -d ","`
  echo "<tr><td colspan=3 align=center><b>$TOPICSUBJECT</b></td></tr>" >> topic.html
  echo "$TOPICFILE $TOPICSUBJECT"
  for FILEID in `echo $LINE | cut -f 2- -d " "`; do
      INFILE=$FILEID.json
      FROM=`grep '\"from\"' $INFILE | cut -f 4 -d "\"" | cut -f 1 -d "\""`
      POSTDATE=`grep '\"postDate\"' $INFILE | cut -f 4 -d "\"" | cut -f 1 -d ","`
      POSTDATE=`date -r $POSTDATE  +%Y-%m-%d`
      SUBJECT=`grep '\"subject\"' $INFILE | cut -f 4 -d "\"" | cut -f 1 -d ","`
      echo "$INFILE $POSTDATE $FROM"
      echo "<tr id=\"topic$FILEID\"><td><A HREF=\"$FILEID.html\"> $SUBJECT </A></td><td> $POSTDATE </td><td> $FROM </td></tr>"  >> topic.html
  done
done < topic_list.txt
echo "</table>" >> topic.html 
cat topic_footer >> topic.html

