#!/bin/bash
MESSAGEID=$1
INFILE=$MESSAGEID.json
OUTFILE=$MESSAGEID.html
SUBJECT=`grep '\"subject\"' $INFILE | cut -f 4 -d "\"" | cut -f 1 -d ","`
FROM=`grep '\"from\"' $INFILE | cut -f 4 -d "\"" | cut -f 1 -d "\""`
POSTDATE=`grep '\"postDate\"' $INFILE | cut -f 4 -d "\"" | cut -f 1 -d ","`
POSTDATE=`date -r $POSTDATE  +%Y-%m-%d`
TOPICID=`grep topicId $INFILE | cut -f 6- -d " " | cut -f 1 -d ","`
MESSAGEBODY=`grep '\"messageBody\"' $INFILE | cut -f 4- -d "\"" | sed -e's/\\\n//g' | sed -e's/\\\t//g' |sed -e's/\\\r//g' |sed -e 's/\*/\&lowast;/g'`
MESSAGEOUT=`echo $MESSAGEBODY | sed 's/",$//g'`
NEXTINTIME=`grep nextInTime $INFILE | cut -f 6- -d " " | cut -f 1 -d ","`
PREVINTIME=`grep prevInTime $INFILE | cut -f 6- -d " " | cut -f 1 -d ","`
NEXTINTOPIC=`grep nextInTopic $INFILE | cut -f 6- -d " " | cut -f 1 -d ","`
PREVINTOPIC=`grep prevInTopic $INFILE | cut -f 6- -d " " | cut -f 1 -d ","`

cat header > $OUTFILE
echo "<!-- NAVIGATION --><table border=1>">> $OUTFILE 
echo "<tr><td align=center><A HREF=$PREVINTIME.html>previous by date</A></td><td align=center><A HREF=index.html#$MESSAGEID>index</A></td><td align=center><A HREF=$NEXTINTIME.html>next by date</A></td></tr> ">> $OUTFILE
if [ $PREVINTOPIC -eq 0 ] ; then
   echo "<tr><td width=33% align=center><A HREF=$PREVINTOPIC.html></A>&nbsp;</td><td width=33% align=center><A HREF=topic.html#topic$MESSAGEID>topic list</A></td><td width=33% align=center><A HREF=$NEXTINTOPIC.html>next in topic</A></td></tr></table>" >> $OUTFILE
fi
if [ $NEXTINTOPIC -eq 0 ] ; then
   echo "<tr><td width=33%  align=center><A HREF=$PREVINTOPIC.html>previous in topic</A></td><td width=33% align=center><A HREF=\"topic.html#topic$MESSAGEID\">topic list</A></td><td width=33%  align=center><A HREF=$NEXTINTOPIC.html></A>&nbsp;</td></tr></table>" >> $OUTFILE
fi
if [ $PREVINTOPIC -gt 0 ] && [ $NEXTINTOPIC -gt 0 ] ; then
   echo "<tr><td width=33%  align=center><A HREF=$PREVINTOPIC.html>previous in topic</A></td><td width=33% align=center><A HREF=\"topic.html#topic$MESSAGEID\">topic list</A></td><td width=33% align=center><A HREF=$NEXTINTOPIC.html>next in topic</A></td></tr></table>" >> $OUTFILE
fi
echo "<h2>Subject: $SUBJECT</h2>" >> $OUTFILE
echo "<b>From:</b> $FROM <br/>" >> $OUTFILE
echo "<b>Date:</b> $POSTDATE <br/>" >> $OUTFILE
echo "<p>" >> $OUTFILE
echo "$MESSAGEOUT" >> $OUTFILE
echo "</p>" >> $OUTFILE
ls -d *attachments | grep $MESSAGEID > /dev/null
if [ $? -eq 0 ] ; then
   echo "<ul>" >> $OUTFILE
   for FILE in `ls ./$MESSAGEID*_attachments/`; do
       echo -n "<li><A HREF=\"$MESSAGEID"  >> $OUTFILE
       echo -n "_"  >> $OUTFILE
       echo "attachments/$FILE\"> $FILE</A></li>" >> $OUTFILE
    done
   echo "<ul>" >> $OUTFILE
fi
cat footer  >> $OUTFILE


